読者です 読者をやめる 読者になる 読者になる

symfony 1.0サポート終了のお知らせ

symfony1.0が世にでてからもう3年もたったようでサポート終了のお知らせが出てました。
http://www.symfony-project.org/blog/2010/01/27/3-years-after-symfony-1-0-last-release


symfony1.1はサポート終了しておりダウンロードのリンクも結構前から抹消されてたが
いつのまにかsymfony1.0のリンクも消えてた。
前々からサポートは3年いわれたのでしょうがない事だけど個人的には少し意外でした。
CentOS 5系列は普通にyumでphpをインストールするとphp5.1がインストールされます。
だけど↓のように新しいsymfonyはphp5.2以上要求するなどがあるのでsymfony1.0の
サポート期間は長いんだとfabienか誰かの講演で聞いた記憶があったからです。

http://www.symfony-project.org/installation


まぁサポート期間が終わったからって動作しなくなるわけではないので、
そのまま使い続ければよいわけですが、フレームワークは便利だけど
こいうところが少し怖いなと思う今日この頃でした